Skip to main content

Patch Entitlement Sku

PATCH 

/v1/sandbox/:sandbox_id/entitlement-sku/:entitlement_sku_id

Patch Entitlement Sku. Requires permission sandbox:config:edit.

Request

Path Parameters

    entitlement_sku_id uuidrequired
    sandbox_id uuidrequired

    Sandbox ID

Body

required

    custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    platform Platform (string)

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

    loot_entitlement

    object

    Represents the mapping of an External SKU to a Loot that will be granted to the player when the player has a matching sku

    type Entitlement Type (string)

    Possible values: [consumable, durable, durable_single_use]

    Determine how the entitlement is handled on the Platform's side.

    loot_id uuid

    The Loot ID granted when this SKU is received.

    refund_loot_id uuid

    The Loot ID granted when this SKU is refunded by the platform. Currently only supported on PSN

    chargeback_loot_id uuid

    The Loot ID granted when this SKU is charged back by the platform. Currently only supported on PSN

    chargeback_reversal_loot_id uuid

    The Loot ID granted when this SKU has a charged back reversed by the platform. Currently only supported on PSN

    external_key_entitlement

    object

    Represents the mapping of an External SKU to a External Key that will be granted to the player when the player has a matching sku.

    external_key_campaign_id uuid

    The External Key Campaign ID.

    quantity Quantity (integer)

    Possible values: > 0

    The quantity of keys to grant to the player.

    sku Sku (string)

    Possible values: non-empty and <= 256 characters

    The External SKU.

    is_receipt Is Receipt (boolean)

    Whether this SKU is a receipt SKU.

Responses

Successful Response

Schema

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    platform Platform (string)required

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

    loot_entitlement

    object

    Represents the mapping of an External SKU to a Loot that will be granted to the player when the player has a matching sku

    type Entitlement Type (string)required

    Possible values: [consumable, durable, durable_single_use]

    Determine how the entitlement is handled on the Platform's side.

    loot_id uuidrequired

    The Loot ID granted when this SKU is received.

    refund_loot_id uuid

    The Loot ID granted when this SKU is refunded by the platform. Currently only supported on PSN

    chargeback_loot_id uuid

    The Loot ID granted when this SKU is charged back by the platform. Currently only supported on PSN

    chargeback_reversal_loot_id uuid

    The Loot ID granted when this SKU has a charged back reversed by the platform. Currently only supported on PSN

    loot_name Loot Name (string)

    The Loot Name. Only included when Loot is expanded.

    legacy_loot_id Legacy Loot Id (integer)

    The Legacy Loot ID granted when this SKU is received

    refund_loot_name Refund Loot Name (string)

    The Refund Loot Name. Only included when Loot is expanded

    refund_legacy_loot_id Refund Legacy Loot Id (integer)

    The Legacy Loot ID granted when this SKU is refunded by the platform. Currently only supported on PSN

    chargeback_loot_name Chargeback Loot Name (string)

    The Chargeback Loot Name. Only included when Loot is expanded

    chargeback_legacy_loot_id Chargeback Legacy Loot Id (integer)

    The Legacy Loot ID granted when this SKU is charged back by the platform. Currently only supported on PSN

    chargeback_reversal_loot_name Chargeback Reversal Loot Name (string)

    The Chargeback Reversal Loot Name. Only included when Loot is expanded

    chargeback_reversal_legacy_loot_id Chargeback Reversal Legacy Loot Id (integer)

    The Legacy Loot ID granted when this SKU has a charged back reversed by the platform. Currently only supported on PSN

    external_key_entitlement

    object

    Represents the mapping of an External SKU to a External Key that will be granted to the player when the player has a matching sku.

    external_key_campaign_id uuidrequired

    The External Key Campaign ID.

    quantity Quantity (integer)required

    Possible values: > 0

    The quantity of keys to grant to the player.

    external_key_campaign_name External Key Campaign Name (string)

    The External Key Campaign Name. Only included when External Key Campaign is expanded.

    sku Sku (string)required

    Possible values: non-empty and <= 256 characters

    The External SKU.

    is_receipt Is Receipt (boolean)

    Whether this SKU is a receipt SKU.

    sandbox_id uuid

    ID of the Sandbox

    entitlement_sku_id uuidrequired

    The Entitlement Sku ID.

Loading...